summary refs log tree commit diff
diff options
context:
space:
mode:
authorJune McEnroe <june@causal.agency>2021-02-17 22:27:45 -0500
committerJune McEnroe <june@causal.agency>2021-02-17 22:27:45 -0500
commit962546b8301471c5d234fec95bd5bcf083312ad1 (patch)
treed68d85c6b56bc41174bea91ad9f62c78070c4210
parentUse curl --url for URL from email (diff)
downloadsrc-962546b8301471c5d234fec95bd5bcf083312ad1.tar.gz
src-962546b8301471c5d234fec95bd5bcf083312ad1.zip
Just use pbcopy in up
I have a generic pbcopy wrapper now.
-rw-r--r--bin/up.sh10
1 files changed, 1 insertions, 9 deletions
diff --git a/bin/up.sh b/bin/up.sh
index 9cb77a2b..f55213d4 100644
--- a/bin/up.sh
+++ b/bin/up.sh
@@ -62,14 +62,6 @@ uploadTerminal() {
 	upload "${temp}/term.html"
 }
 
-copy() {
-	if type xsel >/dev/null; then
-		xsel -bi
-	else
-		pbcopy
-	fi
-}
-
 while getopts 'chst' opt; do
 	case "$opt" in
 		(c) fn=uploadCommand;;
@@ -84,5 +76,5 @@ shift $((OPTIND - 1))
 : ${fn:=upload}
 
 url=$($fn "$@")
-printf '%s' "$url" | copy || true
+printf '%s' "$url" | pbcopy || true
 echo "$url"